#ifndef VECTOR_H
#define VECTOR_H

class myVector3D
{
public:
    double x, y, z;
    void init(double x1, double y1, double z1)
    {
        x = x1, y = y1, z = z1;
    }
    myVector3D();
    ~myVector3D();
    myVector3D(double, double, double);
	//Vector2D operator - (Vector2D a) const {return Vector2D(x - a.x, y - a.y);};
    myVector3D operator + (myVector3D) const;
    myVector3D operator - (myVector3D) const;
    bool operator == (myVector3D) const;
    bool operator != (myVector3D) const;
    void operator = (myVector3D);
    myVector3D operator * (double) const;
    double len2 () const;
    double abs () const;
};

#endif // VECTOR_H
