#ifndef SPEED_H
#define SPEED_H

#include "scene3D.h"
#include "mainwindow.h"
#include <QGLWidget>
#include "points.h"
#include <QtGui>
#include "vector.h"

class Points;

class Speed : public Scene3D
//class Speed : public Points
{
    Q_OBJECT
    double maxVPlot, maxNPlot, dv;
    //friend class Points;

    void drawAxis();   
    void Abstr ( void ){}
    double R;
    QVector2D * myPlotVector;
    double * masDV;
    double * masDN;
    double * masAbsV;
    void mouseMoveEvent(QMouseEvent* pe){}
    QCursor cursor;
public:
    QVector3D ** mySpeedVector;
    unsigned long N_SPEED;
    int showInf;
    QTimer *timer;
    void initSpeedOfPoints(myVector3D * v, long N);
    int N_PLOT;
    int nInfo;
    explicit Speed(QGLWidget *parent = 0);
    void plotSpeed();
    void clear();
    double analizeSpeed();
    double L;
    void resizeGL(int nWidth, int nHeight);
    void paintGL();
    double speedInformation();
public slots:
    void initSpeed(QVector3D ** point, int n);
protected:
    void initializeGL();
private slots:
    void change();
signals:
};


#endif // SPEED_H
